CubicSDR compile problems (Linux Mint 17)

General discussions
MartinJ
Posts: 1
Joined: Fri Oct 30, 2015 11:12 am

CubicSDR compile problems (Linux Mint 17)

Postby MartinJ » Fri Oct 30, 2015 11:21 am

Hi folks,

I'm trying to build the SDRplay software using the information provided for Ubuntu. This worked until I tried to compile CubicSDR. When typing "make" this error(s) came up. Packages "libwxgtk2.8-dev" and "libwxgtk2.8-dbg" are installed.

Any ideas what is missing? Thank you.

Martin


Code: Select all

martin@martin-ThinkPad:~/sdrplay/CubicSDR/build# make
[  1%] Building CXX object CMakeFiles/CubicSDR.dir/src/CubicSDR.cpp.o
In file included from /home/martin/sdrplay/CubicSDR/src/AppFrame.h:6:0,
                 from /home/martin/sdrplay/CubicSDR/src/CubicSDR.h:18,
                 from /home/martin/sdrplay/CubicSDR/src/CubicSDR.cpp:15:
/home/martin/sdrplay/CubicSDR/src/visual/ScopeCanvas.h:62:23: error: ISO C++ forbids declaration of ‘wxDECLARE_EVENT_TABLE’ with no type [-fpermissive]
 wxDECLARE_EVENT_TABLE();
                       ^
In file included from /home/martin/sdrplay/CubicSDR/src/AppFrame.h:7:0,
                 from /home/martin/sdrplay/CubicSDR/src/CubicSDR.h:18,
                 from /home/martin/sdrplay/CubicSDR/src/CubicSDR.cpp:15:
/home/martin/sdrplay/CubicSDR/src/visual/SpectrumCanvas.h:46:23: error: ISO C++ forbids declaration of ‘wxDECLARE_EVENT_TABLE’ with no type [-fpermissive]
 wxDECLARE_EVENT_TABLE();

[... lots of errors following]

Last edited by MartinJ on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

sdrplay
Posts: 541
Joined: Wed Jan 07, 2015 7:58 am

Re: CubicSDR compile problems (Linux Mint 17)

Postby sdrplay » Fri Oct 30, 2015 1:31 pm

Hi,

I've forwarded the issue to the developer. Hopefully he'll be able to throw some light on the issue.

Best regards,

SDRplay Support
Last edited by sdrplay on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

sdrplay
Posts: 541
Joined: Wed Jan 07, 2015 7:58 am

Re: CubicSDR compile problems (Linux Mint 17)

Postby sdrplay » Sun Nov 01, 2015 9:29 pm

Hi,

CubicSDR requires wx3.x (developer uses 3.0.2+), you only have wx2.8 - if you update that you should be ok.

Best regards,

SDRplay Support
Last edited by sdrplay on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

pa1ap
Posts: 8
Joined: Sat Nov 07, 2015 11:19 pm

Re: CubicSDR compile problems (Linux Mint 17)

Postby pa1ap » Sat Nov 07, 2015 11:22 pm

Could anyone confirm that sdrlay actually runs on linux mint 17? I have tried whole day various installs but it simply does not work for me.. I have followed the guidance provided. Is it confirmed running on mint 17?
Last edited by pa1ap on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

mbott
Posts: 5
Joined: Thu Nov 19, 2015 1:16 am

Re: CubicSDR compile problems (Linux Mint 17)

Postby mbott » Wed Dec 30, 2015 4:50 pm

CubicSDR will most definitely run with the SDTplay under Linux 17.3 and Ubuntu 14.04LTS. I've built under both using the following:

https://github.com/cjcliffe/CubicSDR/wiki/Build-Linux

--
Mike
Last edited by mbott on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason


Return to “General”

Who is online

Users browsing this forum: HenkvdS and 3 guests